RDKit::MolAlign::O3A Class Reference

`#include <O3AAlignMolecules.h>`

## Public Types

enum | AtomTypeScheme { MMFF94 = 0 , CRIPPEN }
| pre-defined atom typing schemes More...

## Public Member Functions

O3A (ROMol &prbMol, const ROMol &refMol, void *prbProp, void *refProp, AtomTypeScheme atomTypes=MMFF94, const int prbCid=-1, const int refCid=-1, const bool reflect=false, const unsigned int maxIters=50, unsigned int options=0, const MatchVectType *constraintMap=nullptr, const RDNumeric::DoubleVector *constraintWeights=nullptr, LAP *extLAP=nullptr, MolHistogram *extPrbHist=nullptr, MolHistogram *extRefHist=nullptr)

O3A (int(*costFunc)(const unsigned int, const unsigned int, double, void *), double(*weightFunc)(const unsigned int, const unsigned int, void *), double(*scoringFunc)(const unsigned int, const unsigned int, void *), void *data, ROMol &prbMol, const ROMol &refMol, const int prbCid, const int refCid, const boost::dynamic_bitset<> &prbHvyAtoms, const boost::dynamic_bitset<> &refHvyAtoms, const bool reflect=false, const unsigned int maxIters=50, unsigned int options=0, O3AConstraintVect *o3aConstraintVect=nullptr, ROMol *extWorkPrbMol=nullptr, LAP *extLAP=nullptr, MolHistogram *extPrbHist=nullptr, MolHistogram *extRefHist=nullptr)

| ~O3A ()
double | align ()
double | trans (RDGeom::Transform3D &trans)
double | score ()
const RDKit::MatchVectType * | matches ()
const RDNumeric::DoubleVector * | weights ()

## Detailed Description

Definition at line 272 of file O3AAlignMolecules.h.

## Member Enumeration Documentation

## AtomTypeScheme

enum RDKit::MolAlign::O3A::AtomTypeScheme

pre-defined atom typing schemes

Enumerator
MMFF94 |
CRIPPEN |

Definition at line 275 of file O3AAlignMolecules.h.

## Constructor & Destructor Documentation

## O3A() [1/2]

RDKit::MolAlign::O3A::O3A | ( | ROMol & | prbMol,
|  | const ROMol & | refMol,
|  | void * | prbProp,
|  | void * | refProp,
|  | AtomTypeScheme | atomTypes = `MMFF94`,
|  | const int | prbCid = `-1`,
|  | const int | refCid = `-1`,
|  | const bool | reflect = `false`,
|  | const unsigned int | maxIters = `50`,
|  | unsigned int | options = `0`,
|  | const MatchVectType * | constraintMap = `nullptr`,
|  | const RDNumeric::DoubleVector * | constraintWeights = `nullptr`,
|  | LAP * | extLAP = `nullptr`,
|  | MolHistogram * | extPrbHist = `nullptr`,
|  | MolHistogram * | extRefHist = `nullptr`
| ) |  |

## O3A() [2/2]

RDKit::MolAlign::O3A::O3A | ( | int(*)(const unsigned int, const unsigned int, double, void *) | costFunc,
|  | double(*)(const unsigned int, const unsigned int, void *) | weightFunc,
|  | double(*)(const unsigned int, const unsigned int, void *) | scoringFunc,
|  | void * | data,
|  | ROMol & | prbMol,
|  | const ROMol & | refMol,
|  | const int | prbCid,
|  | const int | refCid,
|  | const boost::dynamic_bitset<> & | prbHvyAtoms,
|  | const boost::dynamic_bitset<> & | refHvyAtoms,
|  | const bool | reflect = `false`,
|  | const unsigned int | maxIters = `50`,
|  | unsigned int | options = `0`,
|  | O3AConstraintVect * | o3aConstraintVect = `nullptr`,
|  | ROMol * | extWorkPrbMol = `nullptr`,
|  | LAP * | extLAP = `nullptr`,
|  | MolHistogram * | extPrbHist = `nullptr`,
|  | MolHistogram * | extRefHist = `nullptr`
| ) |  |

## ~O3A()

RDKit::MolAlign::O3A::~O3A | ( |  | ) |

inline

Definition at line 294 of file O3AAlignMolecules.h.

## Member Function Documentation

## align()

double RDKit::MolAlign::O3A::align | ( |  | ) |

## matches()

const RDKit::MatchVectType* RDKit::MolAlign::O3A::matches | ( |  | ) |

inline

Definition at line 305 of file O3AAlignMolecules.h.

## score()

double RDKit::MolAlign::O3A::score | ( |  | ) |

inline

Definition at line 304 of file O3AAlignMolecules.h.

## trans()

double RDKit::MolAlign::O3A::trans | ( | RDGeom::Transform3D & | trans | ) |

## weights()

const RDNumeric::DoubleVector* RDKit::MolAlign::O3A::weights | ( |  | ) |

inline

Definition at line 306 of file O3AAlignMolecules.h.

The documentation for this class was generated from the following file:

- O3AAlignMolecules.h